MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
WindowsCond Class Reference

Wrapper for a CONDITION_VARIABLE, backend for the Cond class. More...

`#include <WindowsCond.hxx>`

## Public Member Functions
| WindowsCond ()
| WindowsCond (const WindowsCond &other)=delete
WindowsCond & | operator= (const WindowsCond &other)=delete
void | signal ()
void | broadcast ()
bool | timed_wait (CriticalSection &mutex, std::chrono::steady_clock::duration timeout)
void | wait (CriticalSection &mutex)

## Detailed Description

Wrapper for a CONDITION_VARIABLE, backend for the Cond class.

Definition at line 40 of file WindowsCond.hxx.

## Constructor & Destructor Documentation

WindowsCond::WindowsCond | ( |  | ) |
| inline

Definition at line 44 of file WindowsCond.hxx.

WindowsCond::WindowsCond | ( | const WindowsCond & | other | ) |
| delete

## Member Function Documentation

void WindowsCond::broadcast | ( |  | ) |
| inline

Definition at line 55 of file WindowsCond.hxx.

WindowsCond& WindowsCond::operator= | ( | const WindowsCond & | other | ) |
| delete

void WindowsCond::signal | ( |  | ) |
| inline

Definition at line 51 of file WindowsCond.hxx.

bool WindowsCond::timed_wait | ( | CriticalSection & | mutex,
|  | std::chrono::steady_clock::duration | timeout
| ) |  |
| inline

Definition at line 66 of file WindowsCond.hxx.

void WindowsCond::wait | ( | CriticalSection & | mutex | ) |
| inline

Definition at line 72 of file WindowsCond.hxx.

The documentation for this class was generated from the following file:

- thread/WindowsCond.hxx